Package org.eclipse.launchbar.core.target

# Class LaunchTargetUtils

java.lang.Object
org.eclipse.launchbar.core.target.LaunchTargetUtils

public class LaunchTargetUtils extends Object

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isInvalidName(String name)`
Check for invalid characters.
`static String`
`sanitizeName(String name)`
Replace any invalid characters with a safe value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isInvalidName

public static boolean isInvalidName(String name)
Check for invalid characters.

Parameters:
  `name` - The name to check.
Returns:
  true if name contains characters in `INVALID_NAME_PATTERN`.

### sanitizeName

public static String sanitizeName(String name)
Replace any invalid characters with a safe value.

Parameters:
  `name` - The name to check.
Returns:
  name with any character in the `INVALID_NAME_PATTERN` replaced with "_"